Package com.omnisci.thrift.server

## Class OmniSci.create_table_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.create_table_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.create_table_args>`, `org.apache.thrift.TBase<OmniSci.create_table_args,​OmniSci.create_table_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.create_table_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.create_table_args,​OmniSci.create_table_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.create_table_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.create_table_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`TCreateParams` `create_params`
`TFileType` `file_type`
`static Map<OmniSci.create_table_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<TColumnType>` `row_desc`
`String` `session`
`String` `table_name`

### Constructor Summary

Constructors
`create_table_args()`
`create_table_args​(OmniSci.create_table_args other)` Performs a deep copy on other.
`create_table_args​(String session, String table_name, List<TColumnType> row_desc, TFileType file_type, TCreateParams create_params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToRow_desc​(TColumnType elem)`
`void` `clear()`
`int` `compareTo​(OmniSci.create_table_args other)`
`OmniSci.create_table_args` `deepCopy()`
`boolean` `equals​(OmniSci.create_table_args that)`
`boolean` `equals​(Object that)`
`OmniSci.create_table_args._Fields` `fieldForId​(int fieldId)`
`TCreateParams` `getCreate_params()`
`Object` `getFieldValue​(OmniSci.create_table_args._Fields field)`
`TFileType` `getFile_type()`
`List<TColumnType>` `getRow_desc()`
`Iterator<TColumnType>` `getRow_descIterator()`
`int` `getRow_descSize()`
`String` `getSession()`
`String` `getTable_name()`
`int` `hashCode()`
`boolean` `isSet​(OmniSci.create_table_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCreate_params()` Returns true if field create_params is set (has been assigned a value) and false otherwise
`boolean` `isSetFile_type()` Returns true if field file_type is set (has been assigned a value) and false otherwise
`boolean` `isSetRow_desc()` Returns true if field row_desc is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_name()` Returns true if field table_name is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`OmniSci.create_table_args` `setCreate_params​(TCreateParams create_params)`
`void` `setCreate_paramsIsSet​(boolean value)`
`void` `setFieldValue​(OmniSci.create_table_args._Fields field, Object value)`
`OmniSci.create_table_args` `setFile_type​(TFileType file_type)`
`void` `setFile_typeIsSet​(boolean value)`
`OmniSci.create_table_args` `setRow_desc​(List<TColumnType> row_desc)`
`void` `setRow_descIsSet​(boolean value)`
`OmniSci.create_table_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`OmniSci.create_table_args` `setTable_name​(String table_name)`
`void` `setTable_nameIsSet​(boolean value)`
`String` `toString()`
`void` `unsetCreate_params()`
`void` `unsetFile_type()`
`void` `unsetRow_desc()`
`void` `unsetSession()`
`void` `unsetTable_name()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### table_name

    public String table_name

#### row_desc

    public List<TColumnType> row_desc

#### file_type

    public TFileType file_type

See Also:
  `TFileType`

#### create_params

    public TCreateParams create_params

#### metaDataMap

    public static final Map<OmniSci.create_table_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### create_table_args

    public create_table_args()

#### create_table_args

    public create_table_args​(String session,
                             String table_name,
                             List<TColumnType> row_desc,
                             TFileType file_type,
                             TCreateParams create_params)

#### create_table_args

    public create_table_args​(OmniSci.create_table_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.create_table_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.create_table_args,​OmniSci.create_table_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.create_table_args,​OmniSci.create_table_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public OmniSci.create_table_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getTable_name

    public String getTable_name()

#### setTable_name

    public OmniSci.create_table_args setTable_name​(String table_name)

#### unsetTable_name

    public void unsetTable_name()

#### isSetTable_name

    public boolean isSetTable_name()

Returns true if field table_name is set (has been assigned a value) and false otherwise

#### setTable_nameIsSet

    public void setTable_nameIsSet​(boolean value)

#### getRow_descSize

    public int getRow_descSize()

#### getRow_descIterator

    public Iterator<TColumnType> getRow_descIterator()

#### addToRow_desc

    public void addToRow_desc​(TColumnType elem)

#### getRow_desc

    public List<TColumnType> getRow_desc()

#### setRow_desc

    public OmniSci.create_table_args setRow_desc​(List<TColumnType> row_desc)

#### unsetRow_desc

    public void unsetRow_desc()

#### isSetRow_desc

    public boolean isSetRow_desc()

Returns true if field row_desc is set (has been assigned a value) and false otherwise

#### setRow_descIsSet

    public void setRow_descIsSet​(boolean value)

#### getFile_type

    public TFileType getFile_type()

See Also:
  `TFileType`

#### setFile_type

    public OmniSci.create_table_args setFile_type​(TFileType file_type)

See Also:
  `TFileType`

#### unsetFile_type

    public void unsetFile_type()

#### isSetFile_type

    public boolean isSetFile_type()

Returns true if field file_type is set (has been assigned a value) and false otherwise

#### setFile_typeIsSet

    public void setFile_typeIsSet​(boolean value)

#### getCreate_params

    public TCreateParams getCreate_params()

#### setCreate_params

    public OmniSci.create_table_args setCreate_params​(TCreateParams create_params)

#### unsetCreate_params

    public void unsetCreate_params()

#### isSetCreate_params

    public boolean isSetCreate_params()

Returns true if field create_params is set (has been assigned a value) and false otherwise

#### setCreate_paramsIsSet

    public void setCreate_paramsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.create_table_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.create_table_args,​OmniSci.create_table_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.create_table_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.create_table_args,​OmniSci.create_table_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.create_table_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.create_table_args,​OmniSci.create_table_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.create_table_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.create_table_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.create_table_args>`

#### fieldForId

    public OmniSci.create_table_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.create_table_args,​OmniSci.create_table_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`